## org.hibernate.cache
Class FilterKey

    java.lang.Object
      org.hibernate.cache.FilterKey

All Implemented Interfaces:
  Serializable

    public final class FilterKey

extends Object
implements Serializable

Allows cached queries to be keyed by enabled filters.

Author:
  Gavin King
See Also:
  Serialized Form

Constructor Summary
`FilterKey(String name, Map params, Map types, EntityMode entityMode)`

Method Summary
`static Set` `createFilterKeys(Map enabledFilters, EntityMode entityMode)`
`boolean` `equals(Object other)`
`int` `hashCode()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FilterKey

    public FilterKey(String name,
                     Map params,
                     Map types,
                     EntityMode entityMode)

Method Detail

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### createFilterKeys

    public static Set createFilterKeys(Map enabledFilters,
                                       EntityMode entityMode)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.